<!--&lt;!&ndash; <div class="pl-5 pr-5">-->
<!--    <app-appointment-header></app-appointment-header> &ndash;&gt;-->

<!--<kendo-splitter style="height: 90vh">-->
<!--  <kendo-splitter-pane [size]="panelSize" [resizable]="false">-->
<!--    <div id="PractitionerList">-->
<!--      <div-->
<!--        class="practitioner-list-header"-->
<!--        [ngClass]="{-->
<!--          'd-flex justify-content-between justify-content-center p-3': panelExpand,-->
<!--          'pt-3 pb-3 text-center': !panelExpand-->
<!--        }"-->
<!--        style="background: white"-->
<!--      >-->
<!--        <h5 *ngIf="panelExpand">Practitioner List</h5>-->
<!--        <button mat-mini-fab disabled class="expand-btn">-->
<!--          <mat-icon-->
<!--            *ngIf="panelExpand"-->
<!--            (click)="togglePanel($event)"-->
<!--            class="m-0"-->
<!--            >menu</mat-icon-->
<!--          >-->
<!--          <mat-icon-->
<!--            *ngIf="!panelExpand"-->
<!--            (click)="togglePanel($event)"-->
<!--            class="m-0"-->
<!--            >menu_open</mat-icon-->
<!--          >-->
<!--        </button>-->
<!--      </div>-->

<!--      <div class="d-flex p-3 align-items-center" *ngIf="panelExpand">-->
<!--        <input-->
<!--          #practitionerSearch-->
<!--          kendoTextBox-->
<!--          style="width: 90%"-->
<!--          placeholder="Search Practitioner, Speciality"-->
<!--          (input)="searchPractitionerSpeciality(practitionerSearch.value)"-->
<!--        />-->

<!--        <div-->
<!--          class="k-select filtericon"-->
<!--          unselectable="on"-->
<!--          (click)="openfilter()"-->
<!--        >-->
<!--          <div class="k-icon k-i-filter iconcolor" unselectable="on">-->
<!--            <div class="k-icon k-i-arrow-60-down"></div>-->
<!--          </div>-->
<!--          <div-->
<!--            class="k-card k-card-vertical k-case-filter k-filter-case casefilter"-->
<!--            *ngIf="IsShow"-->
<!--          >-->
<!--            <div class="k-card-header headerheight">-->
<!--              <span-->
<!--                class="k-card-title normal_16px_39px_font filtercasename normal_16px_39px_font"-->
<!--                >ALL Practitioner</span-->
<!--              >-->
<!--            </div>-->
<!--            <div class="k-card-header headerheight">-->
<!--              <span-->
<!--                class="k-card-title normal_16px_39px_font filtercasename normal_16px_39px_font"-->
<!--                >Active Practitioner</span-->
<!--              >-->
<!--            </div>-->
<!--            <div class="k-card-header headerheight">-->
<!--              <span-->
<!--                class="k-card-title normal_16px_39px_font filtercasename normal_16px_39px_font"-->
<!--                >Inactive Practitioner</span-->
<!--              >-->
<!--            </div>-->
<!--          </div>-->
<!--        </div>-->
<!--      </div>-->
<!--      <div *ngIf="!panelExpand" class="pt-3 pb-3">-->
<!--        <button mat-mini-fab disabled>-->
<!--          <mat-icon class="m-0">search</mat-icon>-->
<!--        </button>-->
<!--      </div>-->
<!--      <div class="list">-->
<!--        <div-->
<!--          class="contact"-->
<!--          *ngFor="let practitioner of practitioners"-->
<!--          [ngClass]="{ selected: practitioner.selected }"-->
<!--          [hidden]="!panelExpand"-->
<!--        >-->
<!--          <div class="k-hbox" [ngClass]="{ 'pl-1': !panelExpand }">-->
<!--            <div-->
<!--              class=""-->
<!--              [ngClass]="{ 'w-100 d-flex align-items-center': panelExpand }"-->
<!--              [hidden]="!panelExpand"-->
<!--            >-->
<!--              <kendo-avatar-->
<!--                *ngIf="!practitioner.photo && panelExpand"-->
<!--                [shape]="'circle'"-->
<!--                [initials]="practitioner.initial"-->
<!--              ></kendo-avatar>-->
<!--              <kendo-avatar-->
<!--                *ngIf="practitioner.photo && panelExpand"-->
<!--                [shape]="'circle'"-->
<!--                [imageSrc]="practitioner.photo"-->
<!--              ></kendo-avatar>-->
<!--              <kendo-avatar-->
<!--                *ngIf="!practitioner.photo && !panelExpand"-->
<!--                [shape]="'circle'"-->
<!--                [initials]="practitioner.initial"-->
<!--                [matMenuTriggerFor]="menu"-->
<!--              ></kendo-avatar>-->
<!--              <kendo-avatar-->
<!--                *ngIf="practitioner.photo && !panelExpand"-->
<!--                [shape]="'circle'"-->
<!--                [imageSrc]="practitioner.photo"-->
<!--                [matMenuTriggerFor]="menu"-->
<!--              ></kendo-avatar>-->
<!--              <div-->
<!--                class="pt-1 pb-1 text-left"-->
<!--                [ngClass]="{ 'pl-3': panelExpand }"-->
<!--                [hidden]="!panelExpand"-->
<!--              >-->
<!--                <h5>{{ practitioner.practitionerName }}</h5>-->
<!--                <div-->
<!--                  class="ellipsisSpan hover"-->
<!--                  title="{{ practitioner.practitionerspecialitiesNamesString }}"-->
<!--                >-->
<!--                  <span-->
<!--                    *ngFor="-->
<!--                      let sn of practitioner.practitionerspecialitiesNames;-->
<!--                      index as $index-->
<!--                    "-->
<!--                    >{{ sn.specialityName-->
<!--                    }}<span-->
<!--                      *ngIf="-->
<!--                        $index <-->
<!--                        practitioner.practitionerspecialitiesNames.length - 1-->
<!--                      "-->
<!--                      >,</span-->
<!--                    >-->
<!--                  </span>-->
<!--                </div>-->
<!--              </div>-->
<!--            </div>-->
<!--            <div class="flex-shrink-1">-->
<!--              <mat-icon-->
<!--                class="grey-icon hover-icon"-->
<!--                [matMenuTriggerFor]="menu"-->
<!--                [hidden]="!panelExpand"-->
<!--              >-->
<!--                more_vert-->
<!--              </mat-icon>-->
<!--              <mat-menu #menu="matMenu">-->
<!--                <button-->
<!--                  mat-menu-item-->
<!--                  (click)="onPractitionerClick(practitioner)"-->
<!--                >-->
<!--                  <mat-icon-->
<!--                    class="lavander-icon"-->
<!--                    *ngIf="!practitioner.selected"-->
<!--                    color="warn"-->
<!--                  >-->
<!--                    add </mat-icon-->
<!--                  ><mat-icon-->
<!--                    class="lavander-icon"-->
<!--                    *ngIf="practitioner.selected"-->
<!--                    color="warn"-->
<!--                  >-->
<!--                    remove-->
<!--                  </mat-icon>-->
<!--                  {{-->
<!--                    practitioner.selected-->
<!--                      ? "Remove from scheduler"-->
<!--                      : "Add to scheduler"-->
<!--                  }}-->
<!--                </button>-->
<!--                <button-->
<!--                  mat-menu-item-->
<!--                  [routerLink]="['/staffs/', practitioner.practitionerId]"-->
<!--                >-->
<!--                  <mat-icon color="warn"> person </mat-icon>-->
<!--                  View Profile-->
<!--                </button>-->
<!--              </mat-menu>-->
<!--            </div>-->
<!--          </div>-->
<!--        </div>-->
<!--      </div>-->
<!--    </div>-->
<!--  </kendo-splitter-pane>-->
<!--  <kendo-splitter-pane>-->
<!--    &lt;!&ndash;-->
<!--            <kendo-scheduler *ngIf="numberOfPractitioners > 0 || alreadyAdded" [ngClass]="{ 'fixed' : numberOfPractitioners > 3 }"-->
<!--                [selectedDate]="selectedDate"-->
<!--                [group]="group"-->
<!--                [resources]="resources"-->
<!--                timezone="Australia/NSW"-->
<!--                (dateChange)="onDateChange($event)"-->
<!--                (slotClick)="slotDblClickHandler($event)"-->
<!--                (eventDblClick)="eventDblClickHandler($event)"-->
<!--                [startTime]="_startTime" [endTime]="_endTime"-->
<!--                [kendoSchedulerBinding]="editService.events | async"-->
<!--                [modelFields]="editService.fields"-->
<!--                [editable]="true"-->
<!--                (remove)="removeHandler($event)"-->
<!--                [loading]="editService.loading"-->
<!--                (navigate)="onNavigate($event)"-->
<!--                [slotClass]="getSlotClass"-->
<!--                [slotDuration]="slotDuration"-->
<!--                [slotDivisions]="1"-->
<!--                >-->

<!--                <ng-template kendoSchedulerGroupHeaderTemplate let-resource="resource">-->
<!--                    <div *ngIf="resource">-->
<!--                        <div style="border-bottom: 1px solid rgba(0, 0, 0, 0.08); padding: 10px 0;">{{ resource.specialityName }}</div>-->
<!--                        <div class="pb-3" id="pop_{{resource.practitionerId}}">-->
<!--                            <div class="pt-3 pb-3">-->
<!--                                <div class="d-flex justify-content-center hover" (click)="onShowPopoverClick($event, resource.practitionerId)">-->
<!--                                    <kendo-avatar *ngIf="!resource.photo" [shape]="'circle'" [initials]="resource.initial" style="height: 60px; width: 60px;"></kendo-avatar>-->
<!--                                    <kendo-avatar *ngIf="resource.photo" [shape]="'circle'" [imageSrc]="resource.photo" style="height: 60px; width: 60px;"></kendo-avatar>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                            <span class="practitionerName">{{ resource.practitionerName }}</span>-->
<!--                        </div>-->
<!--                    </div>-->
<!--                </ng-template>-->

<!--                <ng-template kendoSchedulerTimeSlotTemplate let-date="date" let-resources="resources">-->

<!--                </ng-template>-->

<!--                <ng-template kendoSchedulerEventTemplate let-event="event" let-resources="resources">-->
<!--                    <div>-->
<!--                        <b [matTooltip]="event.title">{{ event.title }}</b>-->
<!--                        <p class="pl-2">-->
<!--                            {{ event.dataItem.note }}-->
<!--                        </p>-->
<!--                        <div style="display: none;">-->
<!--                            {{ event | json }}-->
<!--                        </div>-->
<!--                    </div>-->
<!--                </ng-template>-->

<!--                <kendo-scheduler-day-view>-->
<!--                </kendo-scheduler-day-view>-->

<!--                <kendo-scheduler-work-week-view>-->
<!--                </kendo-scheduler-work-week-view>-->

<!--                <kendo-scheduler-week-view>-->
<!--                </kendo-scheduler-week-view>-->
<!--         </kendo-scheduler>-->
<!-- &ndash;&gt;-->
<!--    <div *ngIf="numberOfPractitioners > 0">-->
<!--      <dx-scheduler-->
<!--        [timeZone]="timeZone"-->
<!--        [dataSource]="schedulerData"-->
<!--        [currentDate]="currentDate"-->
<!--        [(currentView)]="currentView"-->
<!--        showCurrentTimeIndicator="false"-->
<!--        [firstDayOfWeek]="1"-->
<!--        [(startDayHour)]="_startTime"-->
<!--        [(endDayHour)]="_endTime"-->
<!--        [(groupByDate)]="groupByDate"-->
<!--        [(cellDuration)]="slotDuration"-->
<!--        [showAllDayPanel]="false"-->
<!--        [groups]="['practitionerId']"-->
<!--        [crossScrollingEnabled]="true"-->
<!--        appointmentTooltipTemplate="tooltip-template"-->
<!--        (onOptionChanged)="handlePropertyChange($event)"-->
<!--        (onContentReady)="onContentReady($event)"-->
<!--        resourceCellTemplate="resourceCellTemplate"-->
<!--        (onAppointmentClick)="onAppointment($event)"-->
<!--        (onAppointmentDblClick)="onAppointmentDbl($event)"-->
<!--        (onCellClick)="onCell($event)"-->
<!--      >-->
<!--        <dxi-view type="day" name="day" groupOrientation="horizontal">-->
<!--        </dxi-view>-->
<!--        <dxi-view type="workWeek" name="M-F" groupOrientation="horizontal">-->
<!--        </dxi-view>-->
<!--        <dxi-view type="week" name="Week" groupOrientation="horizontal">-->
<!--        </dxi-view>-->
<!--        <dxo-editing-->
<!--          [allowUpdating]="false"-->
<!--          [allowAdding]="false"-->
<!--          [allowDeleting]="false"-->
<!--        ></dxo-editing>-->

<!--        <dxi-resource-->
<!--          fieldExpr="practitionerId"-->
<!--          [allowMultiple]="false"-->
<!--          [dataSource]="resourcesDataSource"-->
<!--          label="Practitioner"-->
<!--        >-->
<!--        </dxi-resource>-->

<!--        <div *dxTemplate="let p of 'resourceCellTemplate'">-->
<!--          <div id="pop_{{ p.data.practitionerId }}">-->
<!--            <div class="pt-3 pb-3">-->
<!--              <a-->
<!--              id="#link_{{ p.data.practitionerId }}"-->
<!--                (mouseenter)="toggleDefault(p.data.practitionerId, true)"-->
<!--                (mouseleave)="toggleDefault(p.data.practitionerId, false)"-->
<!--                href="javascript:void(0)"-->
<!--                (click)="practitionerClick(p.data.practitionerId)"-->
<!--              >-->
<!--                <div-->
<!--                  class="d-flex justify-content-center align-items-center hover"-->
<!--                >-->
<!--                  <kendo-avatar-->
<!--                    *ngIf="!p.data.photo"-->
<!--                    [shape]="'circle'"-->
<!--                    [initials]="p.data.initial"-->
<!--                    style="height: 60px; width: 60px"-->
<!--                  ></kendo-avatar>-->
<!--                  <kendo-avatar-->
<!--                    *ngIf="p.data.photo"-->
<!--                    [shape]="'circle'"-->
<!--                    [imageSrc]="p.data.photo"-->
<!--                    style="height: 60px; width: 60px"-->
<!--                  ></kendo-avatar>-->
<!--                  <span class="practitionerName pl-3">{{-->
<!--                    p.data.practitionerName-->
<!--                  }}</span>-->
<!--                </div>-->
<!--              </a>-->
<!--            </div>-->

<!--          </div>-->


<!--          <dx-popover-->
<!--            target="#link_{{ p.data.practitionerId }}"-->
<!--            position="top"-->
<!--            [width]="300"-->
<!--            [(visible)]="p.data.mouseOver"-->
<!--          >-->
<!--            <div *dxTemplate="let data = model; of: 'content'">-->
<!--              <span-->
<!--                ><b> <u>Appt Count:</u></b></span-->
<!--              >-->
<!--              <br />-->
<!--              <table style="width: 100%">-->
<!--                <tr>-->
<!--                  <td style="width: 50%">Total</td>-->
<!--                  <td style="width: 50%">: 15</td>-->
<!--                </tr>-->
<!--                <tr>-->
<!--                  <td>Pending</td>-->
<!--                  <td>: 3</td>-->
<!--                </tr>-->
<!--                <tr>-->
<!--                  <td>Completed</td>-->
<!--                  <td>: 10</td>-->
<!--                </tr>-->
<!--                <tr>-->
<!--                  <td>Missed</td>-->
<!--                  <td>: 1</td>-->
<!--                </tr>-->
<!--                <tr>-->
<!--                  <td>Cancelled</td>-->
<!--                  <td>: 1</td>-->
<!--                </tr>-->
<!--              </table>-->
<!--              <br />-->
<!--              <span>-->
<!--                <b><u> Time Utilisation:</u></b></span-->
<!--              >-->
<!--              <br />-->
<!--              <table style="width: 100%">-->
<!--                <tr>-->
<!--                  <td style="width: 50%">Scheduled hours</td>-->
<!--                  <td style="width: 50%">: 8 hrs 30 min</td>-->
<!--                </tr>-->
<!--                <tr>-->
<!--                  <td>Worked hours</td>-->
<!--                  <td>: 7 hrs</td>-->
<!--                </tr>-->
<!--                <tr>-->
<!--                  <td>Pending hours</td>-->
<!--                  <td>: 1 hrs 30 min</td>-->
<!--                </tr>-->
<!--                <tr>-->
<!--                  <td>Overtime</td>-->
<!--                  <td>: 0 hrs</td>-->
<!--                </tr>-->
<!--              </table>-->
<!--            </div>-->
<!--          </dx-popover>-->


<!--        </div>-->

<!--        <div *dxTemplate="let model of 'tooltip-template'">-->
<!--          <div class="movie-tooltip">-->
<!--            <div class="movie-info">hi</div>-->
<!--          </div>-->
<!--        </div>-->
<!--      </dx-scheduler>-->
<!--    </div>-->

<!--    <div class="mt-5" *ngIf="numberOfPractitioners == 0 && !alreadyAdded">-->
<!--      <app-grid-no-data-->
<!--        [title]="'You haven\'t added a Practitioner Schedule'"-->
<!--        [routeName]=""-->
<!--        [routeLink]=""-->
<!--        [description]="-->
<!--          'From the Practitioner List section, please select the Practitioner and click on Add to scheduler button to add this new practitioner to appointment diary and create new schedule.'-->
<!--        "-->
<!--      ></app-grid-no-data>-->
<!--    </div>-->
<!--  </kendo-splitter-pane>-->
<!--</kendo-splitter>-->
<!--&lt;!&ndash; </div> &ndash;&gt;-->

<!--<div id="schedule_sliderShadow" class="overlay-shadow">-->
<!--  <div id="schedule_slider" class="overlay">-->
<!--    <div class="overlay-header">-->
<!--      <div class="row">-->
<!--        <span class="overlay-title">{{ sliderTitle }}</span>-->
<!--        <a-->
<!--          href="javascript:void(0)"-->
<!--          class="deletebtn"-->
<!--          (click)="removeItem()"-->
<!--          *ngIf="!isNew"-->
<!--        >-->
<!--          <mat-icon>delete</mat-icon>-->
<!--        </a>-->
<!--        <a href="javascript:void(0)" class="closebtn" (click)="closeSlider()">-->
<!--          <mat-icon>clear</mat-icon>-->
<!--        </a>-->
<!--      </div>-->
<!--    </div>-->
<!--    <div class="overlay-content">-->
<!--      <app-add-schedule-->
<!--        (save)="onScheduleSave($event)"-->
<!--        (cancel)="onCancel($event)"-->
<!--        [event]="editedEvent"-->
<!--        [editMode]="editMode"-->
<!--        [isNew]="isNew"-->
<!--      ></app-add-schedule>-->
<!--    </div>-->
<!--  </div>-->
<!--</div>-->
